aim4.sim.setup

## Class AutoDriverOnlySimSetup

- java.lang.Object
- - aim4.sim.setup.BasicSimSetup
  - - aim4.sim.setup.AutoDriverOnlySimSetup

- All Implemented Interfaces:
    SimSetup

      public class AutoDriverOnlySimSetup
      extends BasicSimSetup
      implements SimSetup

  The setup for the simulator in which all vehicles are autonomous.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AutoDriverOnlySimSetup.TrafficType` The traffic type.

  - ### Field Summary

    - ### Fields inherited from class aim4.sim.setup.BasicSimSetup

      `distanceBetween, lanesPerRoad, laneWidth, medianSize, numOfColumns, numOfRows, speedLimit, stopDistBeforeIntersection, trafficLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoDriverOnlySimSetup(BasicSimSetup basicSimSetup)` Create a setup for the simulator in which all vehicles are autonomous.
    `AutoDriverOnlySimSetup(int columns, int rows, double laneWidth, double speedLimit, int lanesPerRoad, double medianSize, double distanceBetween, double trafficLevel, double stopDistBeforeIntersection)` Create a setup for the simulator in which all vehicles are autonomous.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Simulator` | `getSimulator()` Get the simulator.
    `void` | `setBatchModeProcessingInterval(double processingInterval)` Set the processing interval in the batch mode
    `void` | `setBuffers(double staticBufferSize, double internalTileTimeBufferSize, double edgeTileTimeBufferSize, boolean isEdgeTileTimeBufferEnabled, double granularity)` Set the buffer sizes.
    `void` | `setHVdirectionalRandomTraffic(double hTrafficLevel, double vTrafficLevel)` Set the directional random traffic.
    `void` | `setIsBaseLineMode(boolean b)` Turn on or off the base line mode.
    `void` | `setIsBatchMode(boolean b)` Turn on or off the batch mode.
    `void` | `setTrafficVolume(String trafficVolumeFileName)` Set the traffic volume according to the specification in a file.
    `void` | `setUniformRandomTraffic(double trafficLevel)` Set the uniform random traffic.
    `void` | `setUniformTurnBasedTraffic(double trafficLevel)` Set the uniform turn-based traffic.

    - ### Methods inherited from class aim4.sim.setup.BasicSimSetup

      `getColumns, getDistanceBetween, getLanesPerRoad, getLaneWidth, getMedianSize, getRows, getSpeedLimit, getStopDistBeforeIntersection, getTrafficLevel, setLanesPerRoad, setNumOfColumns, setNumOfRows, setSpeedLimit, setStopDistBeforeIntersection, setTrafficLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface aim4.sim.setup.SimSetup

      `setStopDistBeforeIntersection, setTrafficLevel`

- - ### Constructor Detail

    - #### AutoDriverOnlySimSetup

          public AutoDriverOnlySimSetup(BasicSimSetup basicSimSetup)

      Create a setup for the simulator in which all vehicles are autonomous.
      Parameters:
        `basicSimSetup` - the basic simulator setup

    - #### AutoDriverOnlySimSetup

          public AutoDriverOnlySimSetup(int columns,
                                int rows,
                                double laneWidth,
                                double speedLimit,
                                int lanesPerRoad,
                                double medianSize,
                                double distanceBetween,
                                double trafficLevel,
                                double stopDistBeforeIntersection)

      Create a setup for the simulator in which all vehicles are autonomous.
      Parameters:
        `columns` - the number of columns
        `rows` - the number of rows
        `laneWidth` - the width of lanes
        `speedLimit` - the speed limit
        `lanesPerRoad` - the number of lanes per road
        `medianSize` - the median size
        `distanceBetween` - the distance between intersections
        `trafficLevel` - the traffic level
        `stopDistBeforeIntersection` - the stopping distance before intersections

  - ### Method Detail

    - #### setIsBaseLineMode

          public void setIsBaseLineMode(boolean b)

      Turn on or off the base line mode.
      Parameters:
        `b` - Whether the base line mode is on

    - #### setIsBatchMode

          public void setIsBatchMode(boolean b)

      Turn on or off the batch mode.
      Parameters:
        `b` - Whether the batch mode is on

    - #### setBatchModeProcessingInterval

          public void setBatchModeProcessingInterval(double processingInterval)

      Set the processing interval in the batch mode
      Parameters:
        `processingInterval` - the processing interval

    - #### setUniformRandomTraffic

          public void setUniformRandomTraffic(double trafficLevel)

      Set the uniform random traffic.
      Parameters:
        `trafficLevel` - the traffic level

    - #### setUniformTurnBasedTraffic

          public void setUniformTurnBasedTraffic(double trafficLevel)

      Set the uniform turn-based traffic.
      Parameters:
        `trafficLevel` - the traffic level

    - #### setHVdirectionalRandomTraffic

          public void setHVdirectionalRandomTraffic(double hTrafficLevel,
                                           double vTrafficLevel)

      Set the directional random traffic.
      Parameters:
        `hTrafficLevel` - the traffic level in the horizontal direction
        `vTrafficLevel` - the traffic level in the Vertical direction

    - #### setTrafficVolume

          public void setTrafficVolume(String trafficVolumeFileName)

      Set the traffic volume according to the specification in a file.
      Parameters:
        `trafficVolumeFileName` - the file name of the traffic volume

    - #### setBuffers

          public void setBuffers(double staticBufferSize,
                        double internalTileTimeBufferSize,
                        double edgeTileTimeBufferSize,
                        boolean isEdgeTileTimeBufferEnabled,
                        double granularity)

      Set the buffer sizes.
      Parameters:
        `staticBufferSize` - the static buffer size
        `internalTileTimeBufferSize` - the time buffer size of internal tiles
        `edgeTileTimeBufferSize` - the time buffer size of edge tiles
        `isEdgeTileTimeBufferEnabled` - whether the edge time buffer is enabled
        `granularity` - the granularity of the simulation grid

    - #### getSimulator

          public Simulator getSimulator()

      Get the simulator.
      Specified by:
        `getSimulator` in interface `SimSetup`
      Overrides:
        `getSimulator` in class `BasicSimSetup`
      Returns:
        the simulator

Copyright © 2013. All rights reserved.